import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'integralType'
})
export class IntegralTypePipe implements PipeTransform {

    transform(value: number): string {
        switch (value) {
            case 1:
                return '卡券';
            case 2:
                return '在线加油';
            case 3:
                return '话费';
            case 4:
                return '第三方';
        }
    }

}
